Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 24 Mar 2023 02:37:07 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hello. I just gave birth of a beautiful baby boy at Mediclinic City Hospital in March 2023 and was given a gift bag to congratulate me for the delivery provided by the hospital. In the bag I found 6 babyshop coupons, offering a 25% discount on purchases of AED 150 Babyshop25 or a AED 100 discount on puchases of AED 300 Babyshop100.
This was perfect as I needed to buy more things for my newborn baby. They were 6 coupons in total, 2 for online purchases and 4 for in-store purchases.

However, when trying the online codes, I received an error message saying they expired and, upon checking, the vouchers do expire in December 2022. It is weird that Mediclinic still offers them to their patients..

Is it possible to get new, non-expired codes? Also I'd recommend you speak to the hospital to ask them to update the vouchers in their gift bags.

Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5915689